public static interface MongoDbEndpointBuilderFactory.MongoDbBuilders
| Modifier and Type | Method and Description |
|---|---|
default MongoDbEndpointBuilderFactory.MongoDbEndpointBuilder |
mongodb(String path)
MongoDB (camel-mongodb)
Perform operations on MongoDB documents and collections.
|
default MongoDbEndpointBuilderFactory.MongoDbEndpointBuilder |
mongodb(String componentName,
String path)
MongoDB (camel-mongodb)
Perform operations on MongoDB documents and collections.
|
default MongoDbEndpointBuilderFactory.MongoDbEndpointBuilder mongodb(String path)
mongodb:connectionBean
Path parameter: connectionBean (required)
Sets the connection bean reference used to lookup a client for
connecting to a database.path - connectionBeandefault MongoDbEndpointBuilderFactory.MongoDbEndpointBuilder mongodb(String componentName, String path)
mongodb:connectionBean
Path parameter: connectionBean (required)
Sets the connection bean reference used to lookup a client for
connecting to a database.componentName - to use a custom component name for the endpoint
instead of the default namepath - connectionBeanApache Camel